package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the statuslike database table.
 * 
 */
@Entity
public class StatusLike implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private StatusLikePK id;

	private String datelikestatus;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="emaillikestatus", nullable = false, insertable = false, updatable = false)
	private Account account;

	//bi-directional many-to-one association to Status
	@ManyToOne
	@JoinColumn(name="idstatus", nullable = false, insertable = false, updatable = false)
	private Status status;

	public StatusLike() {
	}

	public StatusLikePK getId() {
		return this.id;
	}

	public void setId(StatusLikePK id) {
		this.id = id;
	}

	public String getDatelikestatus() {
		return this.datelikestatus;
	}

	public void setDatelikestatus(String datelikestatus) {
		this.datelikestatus = datelikestatus;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

	public Status getStatus() {
		return this.status;
	}

	public void setStatus(Status status) {
		this.status = status;
	}

}